curl --request PATCH \
--url https://api.us.lexful.app/v1/sso_connections/{connectionId}/mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Account-ID: <api-key>' \
--data '
{
"default_role": "<string>",
"default_organization_scopes": [
"<string>"
],
"role_mapping": {
"attribute_name": "<string>",
"mappings": [
{
"idp_value": "<string>"
}
]
},
"group_mapping": {
"attribute_name": "<string>",
"mappings": [
{
"idp_value": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
'import requests
url = "https://api.us.lexful.app/v1/sso_connections/{connectionId}/mappings"
payload = {
"default_role": "<string>",
"default_organization_scopes": ["<string>"],
"role_mapping": {
"attribute_name": "<string>",
"mappings": [{ "idp_value": "<string>" }]
},
"group_mapping": {
"attribute_name": "<string>",
"mappings": [
{
"idp_value": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Account-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
default_role: '<string>',
default_organization_scopes: ['<string>'],
role_mapping: {attribute_name: '<string>', mappings: [{idp_value: '<string>'}]},
group_mapping: {
attribute_name: '<string>',
mappings: [{idp_value: '<string>', group_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}]
}
})
};
fetch('https://api.us.lexful.app/v1/sso_connections/{connectionId}/mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"default_role": "<string>",
"default_organization_scopes": [
"<string>"
],
"role_mapping": {
"attribute_name": "<string>",
"mappings": [
{
"idp_value": "<string>"
}
]
},
"group_mapping": {
"attribute_name": "<string>",
"mappings": [
{
"idp_value": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}Update SSO Connection Mappings
Partially update user provisioning mappings for an SSO connection. Only provided fields will be updated.
Authorizations
Bearer token
Account ID
Path Parameters
SSO connection ID
Body
Default role assigned to users provisioned via this SSO connection
Default organization scopes for SSO users. Use ["*"] for all organizations.
Map IDP attribute values to internal roles (first match wins)
Show child attributes
Show child attributes
Map IDP attribute values to internal groups (all matches)
Show child attributes
Show child attributes
Response
Default Response
Default role assigned to users provisioned via this SSO connection
Default organization scopes for SSO users. Use ["*"] for all organizations.
Map IDP attribute values to internal roles (first match wins)
Show child attributes
Show child attributes
Map IDP attribute values to internal groups (all matches)
Show child attributes
Show child attributes
Was this page helpful?